Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5253 - Bugzilla submission missing submitter's name
Summary: Bugzilla submission missing submitter's name
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Bugzilla
Classification: Community
Component: Bugzilla General
Version: 2.1rC
Hardware: All
OS: Linux
medium
medium vote
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-09-20 16:33 UTC by David Woodhouse
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-11-22 18:30:31 UTC


Attachments (Terms of Use)

Description David Woodhouse 1999-09-20 16:33:31 UTC
See the addition to bug #4239, made at 12:26 on 20th
September:

"------- Additional Comments From  09/20/99 12:26 -------"

This happened because I wasn't logged in when I made the
submission (which in itself appears to have been a glitch in
Bugzilla's cookie handling, although it now appears to
recognise me).

After I hit the 'Commit' button, I was prompted for my email
address and password, but my email address didn't actually
make it to the submission.

Comment 1 David Lawrence 1999-09-22 22:25:59 UTC
This is a problem with the way bugzilla does anonymous browsing. If it
cannot find a cookie from the users browser it assumes that person has
never been there before an goes into anonymous mode. This means if
someone makes a comment it doesnt know who made it and should have the
name Anonymous show up instead of nothing at all. This is a problem
that should be fixed soon. Until then if you see that you are doing a
query as an Anonymous user (should say at top) click the login link
and then make your changes.

------- Additional Comments From   09/23/99 11:41 -------
.

Comment 2 David Lawrence 1999-09-23 15:44:59 UTC
I have verified this to be a problem. I will look into fixing this int
the near future. Thanks for pointing it out. What should happen is
that it should not ask for a login name and password and add the
comment but have Anonymous as the user name at the least.

------- Additional Comments From   10/30/99 14:20 -------
Both bugzilla #5859 and #6542 appear to be duplicates of this item.

Comment 3 David Lawrence 1999-11-22 18:30:59 UTC
This is now fixed in the latest Bugzilla version we are currently using. To add
a comment a person must be a member of the bugzilla system. Although they can
still browse bug reports without being a member. If this still seems broken
please reopen this report.


Note You need to log in before you can comment on or make changes to this bug.